# © 2020 Le Filament (<https://www.le-filament.com>)
# © 2020 Confédération Générale des Scop (<https://www.les-scop.coop>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class CgscopIncubParcoursPreincub(models.Model):
    _name = "cgscop_incub.parcours_preincub"
    _description = "Type de parcours pré-incubation"
    _order = "ur_id,sequence,id"

    def _default_ur(self):
        return self.env["res.company"]._ur_default_get()

    ur_id = fields.Many2one(
        "union.regionale",
        string="Union Régionale",
        index=True,
        ondelete="restrict",
        default=_default_ur,
    )
    sequence = fields.Integer("Sequence")
    name = fields.Char(string="Nom", required=True, index=True)
    active = fields.Boolean(string="Actif", default=True)
